use bevy::prelude::{Handle, Image, TextureAtlas};

pub trait SuppliesTextureAtlas {
	fn get_atlas_handle(&self, name: impl ToString) -> Option<&Handle<TextureAtlas>>;
	fn get_atlas(&self, name: &Handle<TextureAtlas>) -> Option<&TextureAtlas>;
}
pub trait SuppliesImage {
	fn get_image_handle(&self, name: impl ToString) -> Option<&Handle<Image>>;
	fn get_image(&self, handle: &Handle<Image>) -> Option<&Image>;
}
